## ros-foxy-tf2-sensor-msgs 0.13.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_sensor_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake_auto REQUIRED)
set(required_dependencies
  "sensor_msgs"
  #"python_orocos_kdl"
  "tf2"
  "tf2_ros"
)

ament_auto_find_build_dependencies(REQUIRED ${required_dependencies})

find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)

ament_export_dependencies(eigen3_cmake_module)
ament_export_dependencies(Eigen3)

# TODO enable tests
#if(BUILD_TESTING)
#  catkin_add_nosetests(test/test_tf2_sensor_msgs.py)

#find_package(catkin REQUIRED COMPONENTS
#  sensor_msgs
#  rostest
#  tf2_ros
#  tf2
#)
#include_directories(${EIGEN_INCLUDE_DIRS})
#add_executable(test_tf2_sensor_msgs_cpp EXCLUDE_FROM_ALL test/test_tf2_sensor_msgs.cpp)
#target_link_libraries(test_tf2_sensor_msgs_cpp ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
#if(TARGET tests)
#  add_dependencies(tests test_tf2_sensor_msgs_cpp)
#endif()
#add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)
#endif()

ament_auto_package()

=== debian/changelog ===
ros-foxy-tf2-sensor-msgs (0.13.14-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.13-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.12-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.11-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 31 Aug 2021 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.10-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.9-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.8-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.7-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 18 Nov 2020 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.6-1focal) focal; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>) (#332 <https://github.com/ros2/geometry2/issues/332>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 28 Oct 2020 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.5-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.4-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.3-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.2-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.1-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.13.0-1focal) focal; urgency=high

  * use target_include_directories (#231 <https://github.com/ros2/geometry2/issues/231>)
  * Export tf2_sensor_msgs package dependency on Eigen3. (#211 <https://github.com/ros2/geometry2/issues/211>)
  * Contributors: Karsten Knese, Michel Hidalgo

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 30 Apr 2020 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.12.4-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.12.3-1focal) focal; urgency=high

  * Remove unused setup.py files (#190 <https://github.com/ros2/geometry2/issues/190>)
  * Contributors: Vasilii Artemev

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.12.2-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.12.1-1focal) focal; urgency=high

  * Use smart pointers for global buffer variables in tests
  * Contributors: Josh Langsfeld

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.12.0-1focal) focal; urgency=high

  * Use eigen3_cmake_module (#144 <https://github.com/ros2/geometry2/issues/144>)
  * Added missing header (for tf2::fromMsg) (#126 <https://github.com/ros2/geometry2/issues/126>)
  * Contributors: Esteve Fernandez, Shane Loretz

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 26 Sep 2019 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.11.3-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 24 May 2019 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.11.2-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.11.1-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 09 May 2019 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.11.0-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 14 Apr 2019 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.10.1-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Dec 2018 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.10.0-1focal) focal; urgency=high

  * Remove cmake_modules dependency from package.xml (#83 <https://github.com/ros2/geometry2/issues/83>)
  * Fix Eigen3 dependency. (#77 <https://github.com/ros2/geometry2/issues/77>)
  * Porting tf2_sensor_msgs in C++ (#2 <https://github.com/ros2/geometry2/issues/2>) (#75 <https://github.com/ros2/geometry2/issues/75>)
  * Contributors: Jacob Perron, Michael Carroll, Ruffin, Steven Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 22 Nov 2018 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.5.15-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 24 Jan 2017 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.5.14-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Jan 2017 00:00:00 -0000

ros-foxy-tf2-sensor-msgs (0.5.13-1focal) focal; urgency=high

  * add missing Python runtime dependency
  * fix wrong comment
  * Adding tests to package
  * Fixing do_transform_cloud for python
    The previous code was not used at all (it was a mistake in the __init__.py so
    the do_transform_cloud was not available to the python users).
    The python code need some little correction (e.g there is no method named
    read_cloud but it's read_points for instance, and as we are in python we can't
    use the same trick as in c++ when we got an immutable)
  * Contributors: Laurent GEORGE, Vincent Rabaud



=== debian/control ===
Source: ros-foxy-tf2-sensor-msgs
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-foxy-ament-cmake-auto, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-eigen3-cmake-module, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-foxy-tf2-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-foxy-eigen3-cmake-module, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: Small lib to transform sensor_msgs with tf.
 Most notably, PointCloud2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-tf2-sensor-msgs//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
